Viewing token exchange trust configuration
Viewing token exchange trust configuration
View the current Hub UAA token exchange trust configuration. This endpoint is accessible to all authenticated users, including restricted viewers.
Request
URI
GET
https://{opsmanager-installation}/api/v0/uaa/token_exchange_trust
COPY
Responses
200
OK
Returns
TokenExchangeTrust
of type(s)
application/json
{
"token_exchange_trust": {
"hub_uaa_url": "string",
"hub_uaa_issuer": "string",
"origin_mappings": [
{
"external_origin": "string",
"local_origin": "string"
}
],
"configured": false
}
}
token_exchange_trust
Optional
token_exchange_trust
400
Setup is not completed
Returns
RequireSetupCompleted
of type(s)
application/json
{
"errors": {
"errors": [
"string"
]
}
}
object
errors
Optional
errors
401
Unauthorized
Returns
UnauthorizedResponse
of type(s)
application/json
{
"errors": {
"errors": [
"string"
]
}
}
object
errors
Optional
errors
403
Forbidden
Returns
ForbiddenResponse
of type(s)
application/json
{
"errors": {
"errors": [
"string"
]
}
}
object
errors
Optional
errors
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/api/v0/uaa/token_exchange_trust
Uaa Settings Operations
GET
Viewing UAA password policy
PUT
Update UAA password policy
PUT
Setting precreated-client secret
GET
Retrieve token exchange UAA client credentials
DELETE
Remove token exchange trust configuration
GET
Viewing token exchange trust configuration
PUT
Configure token exchange trust
GET
Viewing token expiration times
PUT
Changing token expiration times